aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-12-14 16:04:01 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-12-14 16:04:01 +0000
commitf54f88fc3387dd02d4b67680e724570d9bc029c2 (patch)
tree18ed37ee815e0f54c43a70854afcab4b99545e48
parent9197b4386d5055705b00fb5a6ba54a03678c8dcb (diff)
downloadaports-f54f88fc3387dd02d4b67680e724570d9bc029c2.tar.bz2
aports-f54f88fc3387dd02d4b67680e724570d9bc029c2.tar.xz
community/gnome-common: moved from testing. Upgrade to 3.18.0
-rw-r--r--community/gnome-common/APKBUILD39
-rw-r--r--testing/gnome-common/APKBUILD49
2 files changed, 39 insertions, 49 deletions
diff --git a/community/gnome-common/APKBUILD b/community/gnome-common/APKBUILD
new file mode 100644
index 0000000000..3d42bebdde
--- /dev/null
+++ b/community/gnome-common/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=gnome-common
+pkgver=3.18.0
+pkgrel=0
+pkgdesc="Common development macros for GNOME"
+url="http://www.gnome.org"
+arch="noarch"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="https://download.gnome.org/sources/gnome-common/3.18/gnome-common-$pkgver.tar.xz"
+builddir="$srcdir"/gnome-common-$pkgver
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="933258d9c23e218eb6eec9cc1951b053 gnome-common-3.18.0.tar.xz"
+sha256sums="22569e370ae755e04527b76328befc4c73b62bfd4a572499fde116b8318af8cf gnome-common-3.18.0.tar.xz"
+sha512sums="b931c9a6668d996560549738bb2d95f86f56fa68ce930c077275bdc8fddbc2d28d215c1190099db1df851417902fca87ec81f1c0e644c5b9630a175e1cde0719 gnome-common-3.18.0.tar.xz"
diff --git a/testing/gnome-common/APKBUILD b/testing/gnome-common/APKBUILD
deleted file mode 100644
index b2296a8d16..0000000000
--- a/testing/gnome-common/APKBUILD
+++ /dev/null
@@ -1,49 +0,0 @@
-# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer:
-pkgname=gnome-common
-pkgver=3.10.0
-pkgrel=0
-pkgdesc="Common development macros for GNOME"
-url="http://www.gnome.org"
-arch="noarch"
-license="GPL"
-depends=""
-depends_dev=""
-makedepends="$depends_dev"
-install=""
-subpackages=""
-source="https://download.gnome.org/sources/gnome-common/3.10/gnome-common-$pkgver.tar.xz"
-
-_builddir="$srcdir"/gnome-common-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
-
-build() {
- cd "$_builddir"
- ./configure \
- --build=$CBUILD \
- --host=$CHOST \
- --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var \
- || return 1
- make || return 1
-}
-
-package() {
- cd "$_builddir"
- make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="060eda0de8348a6aede83d597e3c6323 gnome-common-3.10.0.tar.xz"
-sha256sums="aed69474a671e046523827f73ba5e936d57235b661db97900db7356e1e03b0a3 gnome-common-3.10.0.tar.xz"
-sha512sums="6c6408160dc2f4132c71b6795e0f3b026d0d2737e3712294bb8cb0c097ec74d30cf70740d50c7712f38477b24ab6fd11d8872c7a3ed1919f24aa43a546e9febe gnome-common-3.10.0.tar.xz"